Skip to content

API Reference

Check the status of a deletion request

GET /v2/deletion_request https://api.cable.tech

Authentication

  • Bearer token in the Authorization header deletion_request:read

Query parameters

  • deletion_request_id string required

    The unique identifier of the deletion request

Responses

200 Deletion request status

  • deletion_request_id string

    The unique identifier of the deletion request

  • resource_type string

    The type of resource that was deleted

  • resource_id string

    The unique identifier of the resource that was deleted

  • status string

    The status of the deletion request

    Allowed values pendingprocessingcompleted

Errors

  • 401 Unauthorized request
  • 404 Deletion request not found
  • 429 Rate limit exceeded
  • 500 Server error
  • default General error

Error body 401404429500default

  • code integer required

    Format int32

  • message string required
  • errors list of objects

    Detailed information about errors in specific fields.

    • field string
    • message string